body {
  background-color: #212529;
  color: #fff;
}

.chat-box {
  height: 400px;
  overflow-y: auto;
}

.chat {
  display: flex;
  margin-bottom: 10px;
}

.bot .avatar, .user .avatar {
    border-radius: 50%; /* Makes the image round */
    margin-right: 10px; /* Adds a 10-pixel margin to the right of the avatar */
    width: 40px; /* Specifies the width */
    height: 40px; /* Specifies the height */
}

.bot {
  justify-content: flex-start;
}

.user {
  justify-content: flex-end;
}

@keyframes flash {
  0%   { opacity: 0; }
  100% { opacity: 1; }
}

.flashing {
  animation: flash 1s linear infinite alternate;
}

.bot .message, .user .message {
  padding: 10px;
  border-radius: 15px;
  max-width: 70%;
  display: inline-block;
  margin: 5px;
  position: relative;
}

.bot .message {
  background-color: #343a40;  /* Darker gray for bot bubble */
}

.user .message {
  background-color: #495057;  /* Lighter gray for user bubble */
  text-align: right;
}

/* Styles for tail */
.bot .message::after, .user .message::after {

}

.bot .message::after {
  left: -20px;
  border-right-color: #343a40;  /* Same color as .bot .message */
  border-right-width: 10px;
  border-left: 0;
}

.user .message::after {
  right: -20px;
  border-left-color: #495057;  /* Same color as .user .message */
  border-left-width: 10px;
  border-right: 0;
}

#user-input {
  overflow-y: auto;
  max-height: 100px; /* You can adjust this value */
  resize: vertical;
  width: 100%; /* Takes up full width */
}

.copy-icon {
  cursor: pointer;
  margin-left: 10px;
  color: #fff;
}